SETTERM(1)

NOM
setterm - Définir les attributs du terminal

SYNOPSIS

setterm [options]

DESCRIPTION

setterm affiche sur la sortie standard une chaîne de caractères qui invoquera les caractéristiques indiquées du terminal. Quand c'est possible, terminfo est consulté pour découvrir la chaîne à utiliser. Certaines options cependant (référencées par la suite par « consoles virtuelles uniquement ») ne correspondent pas à une caractéristique d'un terminfo(5). Dans ce cas de figure, si le type de terminal est « con » ou « linux » la chaîne affichée est celle qui invoque la caractéristique mentionnée sur la console virtuelle d'un PC MINIX. Les options non implémentées par le terminal sont ignorées.

OPTIONS

Pour les options booléennes (on ou off), la valeur par défaut est on.

Ci-dessous, une valeur 8_couleurs peut être « black », « red », « green », « yellow », « blue », « magenta », « cyan » ou « white ».

Une valeur 16_couleurs peut être une des valeurs 8_couleurs, ou « grey » ou « bright » suivis de « red », « green », « yellow », « blue », « magenta », « cyan » ou « white ».

Les différentes options de couleur peuvent être définies séparément, au moins sur les consoles virtuelles, bien que l'effet de la définition de plusieurs modes (par exemple, --underline et --half-bright) dépend du matériel.

Les paramètres optionnels sont recommandés avec un « = » (signe égal) et pas d'espace entre l'option et le paramètre. Par exemple, --option=paramètre. setterm peut interpréter le paramètre qui n'est pas une option suivant comme étant aussi un paramètre optionnel.

--appcursorkeys on|off
    Activer ou désactiver le « Cursor Key Application Mode ». En mode actif (« on »), ESC O A, ESC O B, etc., seront envoyés à la place de ESC [ A, ESC [ B, etc. Les utilisateurs de vi se référeront à la section « vi and Cursor-Keys » du Text-Terminal-HOWTO (en anglais) pour connaître la raison des problèmes que cela peut poser. Consoles virtuelles uniquement.

--append numéro_console
    Identique à --dump, mais ajoute au fichier d’instantané au lieu de l'écraser. Ne fonctionne que si aucune option --dump n’est donnée.

--background 8-color|default
    Définir la couleur d'arrière-plan du texte.

--blank[=0-60|force|poke]
    Définir l'intervalle d'inactivité, en minute, après lequel la console sera éteinte (en utilisant APM s'il est disponible). Sans option, renvoyer l'état de la console (renvoyer la console qui a été éteinte ou zéro pour une console non éteinte). Consoles virtuelles uniquement.

    Le paramètre force laisse l'écran vide même si une touche est pressée.

    Le paramètre poke réveille l'écran.

--bfreq[=numéro]
    Définir la fréquence du bip en hertz. Sans paramètre, 0 est utilisé par défaut. Pour les consoles virtuelles uniquement.

--blength[=0-2000]
    Définir la durée du bip en milliseconde. Sans paramètre, 0 est utilisé par défaut. Pour les consoles virtuelles uniquement.

--blink on|off
    Activer ou désactiver le mode clignotant. À part sur une console virtuelle, --blink off désactive tous les attributs (gras, demi-teinte, clignotant, inverse).

--bold on|off
    Activer ou désactiver le mode gras (surbrillance). À part sur une console virtuelle, --bold off désactive tous les attributs (gras, demi-luminosité, clignotant, inverse).

--clear[=all|rest]
    Sans argument, ou avec l’argument all, tout l’écran est nettoyé et le curseur est défini à la position d’origine, comme clear(1) le fait. Avec l’argument rest, l’écran est nettoyé à partir de la position actuelle du curseur jusqu’à la fin.

--clrtabs[=tab1 tab2 tab3 ...]
    Effacer les taquets de tabulation horizontale à partir des positions données du curseur, échelonnées de 1 à 160. Sans paramètre, effacer tous les taquets de tabulation. Sur les consoles virtuelles uniquement.

--cursor on|off
    Activer ou désactiver le curseur du terminal.

--default
    Positionner les options de rendu du terminal à leurs valeurs par défaut.

--dump[=numéro_console]
    Écrire un instantané de la console virtuelle avec le numéro donné dans le fichier indiqué par l'option --file, en écrasant son contenu ; par défaut, il s'agit de screen.dump. Sans option, vider la console virtuelle active. Cela remplace --append.

--file fichier
    Définir le nom de fichier de l'instantané pour les options --dump ou --append sur une même ligne de commande. Si cette option n'est pas présente, screen.dump est écrit dans le répertoire actuel. Un nom de chemin qui dépasse le maximum du système sera tronqué, consultez PATH_MAX dans linux/limits.h pour connaître sa valeur.

--foreground 8-couleurs|default
    Définir la couleur du texte.

--half-bright on|off
    Activer ou désactiver le mode sombre (demi-teinte). À part sur une console virtuelle, --half-bright off désactive tous les attributs (gras, demi-teinte, clignotant, inverse).

--hbcolor [bright] 16-couleurs
    Définir la couleur des caractères en demi-teintes (« half-bright »).

--initialize
    Afficher la chaîne d'initialisation du terminal qui définit normalement aux valeurs par défaut les options de rendu du terminal et d'autres attributs.

--inversescreen on|off
    Échanger les couleurs de premier plan et d’arrière-plan sur tout l’écran.

--linewrap on|off
    Laisser le terminal continuer sur une nouvelle ligne quand une ligne est pleine.

--msg on|off
    Activer ou désactiver l'affichage de messages printk() du noyau sur la console. Consoles virtuelles uniquement.

--msglevel 0-8
    Définir le niveau de journalisation de la console pour les messages printk() du noyau. Tous les messages de niveau strictement plus élevés seront affichés, de telle sorte qu'un niveau 0 aura le même effet que --msg on et qu'un niveau 8 affichera tous les messages du noyau. klogd(8) peut être une interface plus appropriée pour la journalisation des messages du noyau.

    Consoles virtuelles uniquement.

--powerdown[=0-60]
    Définir le délai avant arrêt du moniteur VESA, en minute. Sans option, la valeur par défaut est 0 (désactiver l'arrêt). Si la console est éteinte ou si le moniteur est en mode suspendu, le moniteur se placera alors respectivement en mode vsync ou en mode powerdown après l'écoulement de la période.

--powersave mode
    Les valeurs autorisées de mode sont :

    vsync|on
        Placer le moniteur en mode vsync de suspension VESA.

    hsync
        Placer le moniteur en mode hsync de suspension VESA.

    powerdown
        Placer le moniteur en mode d’arrêt VESA.

    off
        (Dés)activer les propriétés d'économie d'énergie du moniteur VESA.

--regtabs[=1-160]
    Effacer tous les taquets de tabulation, puis définir un motif régulier de taquets de tabulation, avec une tabulation toutes les x positions. Sans argument, la valeur par défaut est 8. Consoles virtuelles uniquement.

--repeat on|off
    Activer ou désactiver la répétition de touches du clavier. Consoles virtuelles uniquement.

--reset
    Afficher la chaîne de restauration du terminal, qui rétablit habituellement le terminal dans son état de démarrage.

--resize
    Réinitialiser la taille du terminal avec la valeur maximale de lignes et de colonnes. Cela est utile quand la géométrie réelle et le pilote du noyau ne sont pas en accord. Vous l'utiliserez surtout avec des consoles séries, qui n'utilisent pas ioctl(3p) mais des flux d'octets et des ruptures.

--reverse on|off
    Activer ou désactiver le mode vidéo inverse. À part sur une console virtuelle, --reverse off désactive tous les attributs (gras, demi-teinte, clignotant, inverse).

--store
    Conserver les options de rendu du terminal actif (couleurs de premier plan et d'arrière-plan) comme celles à utiliser lors d'une restauration des valeurs par défaut. Consoles virtuelles uniquement.

--tabs[=tab1 tab2 tab3 ...]
    Placer des taquets de tabulation horizontale à des positions données du curseur, échelonnées de 1 à 160. Sans paramètre, afficher les taquets de tabulation actuels.

--term nom_terminal
    Remplacer la variable d'environnement TERM

--ulcolor [bright] 16-couleurs
    Définir la couleur des caractères soulignés. Consoles virtuelles uniquement.

--underline on|off
    Activer ou désactiver le mode souligné.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

COMPATIBILITÉ

Depuis la version 2.25, setterm prend en charge les options longues avec deux tirets, par exemple --help, en plus des options longues historiques avec un seul tiret, par exemple -help. Dans les scripts, mieux vaut utiliser un seul tiret au lieu de deux pour être rétrocompatible. Actuellement, arrêter la compatibilité avec un seul tiret n’est pas prévu.

BOGUES

Les différences entre les versions MINIX et Linux ne sont pas documentées.

VOIR AUSSI

stty(1), tput(1), tty(4), terminfo(5)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande setterm fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.